=== modified file 'pom.xml'
--- pom.xml	2017-08-17 11:10:50 +0000
+++ pom.xml	2017-08-23 07:33:51 +0000
@@ -57,7 +57,22 @@
       <artifactId>postgresql</artifactId>
       <version>42.1.4</version>
     </dependency>
-
+      
+      <!-- https://mvnrepository.com/artifact/junit/junit -->
+    <dependency>
+        <groupId>junit</groupId>
+        <artifactId>junit</artifactId>
+        <version>4.12</version>
+    </dependency>
+    <!-- https://mvnrepository.com/artifact/javax.faces/javax.faces-api -->
+    <dependency>
+        <groupId>javax.faces</groupId>
+        <artifactId>javax.faces-api</artifactId>
+        <version>2.3</version>
+        <scope>provided</scope>
+    </dependency>
   </dependencies>
+  
+  
 
 </project>

=== added file 'src/main/java/beans/ConfigBean.java'
--- src/main/java/beans/ConfigBean.java	1970-01-01 00:00:00 +0000
+++ src/main/java/beans/ConfigBean.java	2017-08-23 07:33:51 +0000
@@ -0,0 +1,30 @@
+import java.io.Serializable;
+
+import javax.faces.bean.*;
+
+
+@SuppressWarnings({ "serial", "deprecation" })
+@ManagedBean(name = "configBean", eager = true)
+@ApplicationScoped
+public class
+ConfigBean implements Serializable {
+  /****************************************************************************/
+  private static String
+  PAGE_TITLE = "MAG Student Portal";
+  
+  private String
+  PAGE_SUB_TITLE = "My school";
+  
+  
+  /****************************************************************************/
+  public String
+  getPageTitle () {
+    return PAGE_TITLE;
+  }
+  
+  
+  public String
+  getSubTitle () {
+    return PAGE_SUB_TITLE;
+  }
+}

=== modified file 'src/main/java/beans/LoginBean.java'
--- src/main/java/beans/LoginBean.java	2017-08-18 12:05:06 +0000
+++ src/main/java/beans/LoginBean.java	2017-08-23 07:33:51 +0000
@@ -1,7 +1,8 @@
 package beans;
 
-import javax.faces.bean.SessionScoped;
+import javax.faces.bean.*;
 
+@ManagedBean
 @SessionScoped
 public class
 LoginBean {

=== modified file 'src/main/java/common/Utils.java'
--- src/main/java/common/Utils.java	2017-08-18 12:24:30 +0000
+++ src/main/java/common/Utils.java	2017-08-23 07:33:51 +0000
@@ -15,12 +15,10 @@
   static public String
   real_hash_func (String t, String s) {
     int a = t.getBytes()[0];
-    @SuppressWarnings("unused")
+    
     int b = t.getBytes()[a%t.length()];
     
-    /* Rotate the string as here:
-     *  
-     */
+    
     
     
     return null;

=== modified file 'src/main/webapp/WEB-INF/templates/page_header.xhtml'
--- src/main/webapp/WEB-INF/templates/page_header.xhtml	2017-08-11 12:15:56 +0000
+++ src/main/webapp/WEB-INF/templates/page_header.xhtml	2017-08-23 07:33:51 +0000
@@ -1,14 +1,15 @@
-<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE html>
-<html xmlns="http://www.w3.org/1999/xhtml"
+<html lang="en"
       xmlns:h="http://xmlns.jcp.org/jsf/html"
       xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
       xmlns:f="http://xmlns.jcp.org/jsf/core"
       xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">
 <ui:composition>
     <div class="header_bar">
-        <h1>${pageTitle}</h1>
-        
+      <header>
+        <h1>#{configBean.pageTitle}</h1>
+        <p>#{configBean.subTitle}</p>
+      </header>
     </div>
 </ui:composition>
 </html>

=== modified file 'src/main/webapp/WEB-INF/web.xml'
--- src/main/webapp/WEB-INF/web.xml	2017-08-02 14:06:36 +0000
+++ src/main/webapp/WEB-INF/web.xml	2017-08-23 07:33:51 +0000
@@ -1,10 +1,10 @@
 <?xml version="1.0"?>
 
 <web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-         xmlns="http://java.sun.com/xml/ns/javaee"
-         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee
+  xmlns="http://java.sun.com/xml/ns/javaee"
+  xsi:schemaLocation="http://java.sun.com/xml/ns/javaee
       http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
-         version="2.5">
+  version="2.5">
 
   <description>MyProject web.xml</description>
 
@@ -25,5 +25,4 @@
   <welcome-file-list>
     <welcome-file>index.xhtml</welcome-file>
   </welcome-file-list>
-
 </web-app>
\ No newline at end of file

=== modified file 'src/main/webapp/index.xhtml'
--- src/main/webapp/index.xhtml	2017-08-03 13:44:11 +0000
+++ src/main/webapp/index.xhtml	2017-08-23 07:33:51 +0000
@@ -1,10 +1,14 @@
-<?xml version="1.0" encoding="UTF-8"?>
+<?xml version="1.0" encoding="UTF-8" ?> 
 <!DOCTYPE html>
 <html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:h="http://xmlns.jcp.org/jsf/html"
-      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
-      xmlns:f="http://xmlns.jcp.org/jsf/core">
-<f:view>
-     <h:outputLabel value="Hello, world"/>
-</f:view>
+      xmlns:ui="http://java.sun.com/jsf/facelets"
+      xmlns:f="http://xmlns.jcp.org/jsf/core" 
+      xmlns:h="http://xmlns.jcp.org/jsf/html">
+  <h:head>
+    <h:outputStylesheet library="css" name="main.css"  />
+    <title>${configBean.pageTitle} - ${configBean.subTitle} </title>
+  </h:head>
+  <h:body>
+      <ui:composition template="WEB-INF/templates/page_header.xhtml" />
+  </h:body>
 </html>

=== added directory 'src/test'
=== added directory 'src/test/java'
=== added file 'src/test/java/AllTests.java'
--- src/test/java/AllTests.java	1970-01-01 00:00:00 +0000
+++ src/test/java/AllTests.java	2017-08-23 07:33:51 +0000
@@ -0,0 +1,9 @@
+import org.junit.runner.RunWith;
+import org.junit.runners.Suite;
+import org.junit.runners.Suite.SuiteClasses;
+
+@RunWith(Suite.class)
+@SuiteClasses({ TestHash.class })
+public class AllTests {
+
+}

=== added file 'src/test/java/TestHash.java'
--- src/test/java/TestHash.java	1970-01-01 00:00:00 +0000
+++ src/test/java/TestHash.java	2017-08-23 07:33:51 +0000
@@ -0,0 +1,12 @@
+import org.junit.*;
+
+import common.Utils;
+
+
+public class TestHash {
+  @Test
+  public void test1 () {
+    System.out.println(Utils.hash_func("Hello World"));
+  }
+
+}

